define_key(3X)

NAME
define_key - define a keycode

SYNOPSIS
#include <curses.h>

int define_key(const char *definition, int keycode);

DESCRIPTION
This is an extension to the curses library. It permits an application to define keycodes with their corresponding control strings, so that the ncurses library will interpret them just as it would the predefined codes in the terminfo database.

If the given string is null, any existing definition for the keycode is removed. Similarly, if the given keycode is negative or zero, any existing string for the given definition is removed.

RETURN VALUE
The keycode must be greater than zero, else ERR is returned.

PORTABILITY
These routines are specific to ncurses. They were not supported on Version 7, BSD or System V implementations. It is recommended that any code depending on them be conditioned using NCURSES_VERSION.

SEE ALSO
keyok(3X), key_defined(3X).

AUTHOR
Thomas Dickey.